AliasToBeanConstructorResultTransformer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transform
Class AliasToBeanConstructorResultTransformer

    java.lang.Object
      org.hibernate.transform.AliasToBeanConstructorResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer

    public class AliasToBeanConstructorResultTransformer

extends Object
implements ResultTransformer

Wraps the tuples in a constructor call. todo : why Alias* in the name???

See Also:
  Serialized Form

Constructor Summary
`AliasToBeanConstructorResultTransformer(Constructor constructor)` Instantiates a AliasToBeanConstructorResultTransformer.

Method Summary
`boolean` | `equals(Object other)` 2 AliasToBeanConstructorResultTransformer are considered equal if they have the same defined constructor.
`int` | `hashCode()` Define our hashCode by our defined constructor's hasCode.
`List` | `transformList(List collection)` Here we have an opportunity to perform transformation on the query result as a whole.
`Object` | `transformTuple(Object[] tuple, String[] aliases)` Wrap the incoming tuples in a call to our configured constructor.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AliasToBeanConstructorResultTransformer

    public AliasToBeanConstructorResultTransformer(Constructor constructor)

  Instantiates a AliasToBeanConstructorResultTransformer.

  Parameters:
    `constructor` - The contructor in which to wrap the tuples.

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Wrap the incoming tuples in a call to our configured constructor.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

### transformList

    public List transformList(List collection)

  Here we have an opportunity to perform transformation on the query result as a whole. This might be useful to convert from one collection type to another or to remove duplicates from the result, etc.

  Specified by:
    `transformList` in interface `ResultTransformer`
  Parameters:
    `collection` - The result.
  Returns:
    The transformed result.

### hashCode

    public int hashCode()

  Define our hashCode by our defined constructor's hasCode.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    Our defined ctor hashCode

### equals

    public boolean equals(Object other)

  2 AliasToBeanConstructorResultTransformer are considered equal if they have the same defined constructor.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - The other instance to check for equality.
  Returns:
    True if both have the same defined constuctor; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.